﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Installments report
            </h1>
        </div>

        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />

    </div>



    <div>

        <div class="grid_percent_container">
            <div class="quarter" ng-if="IsSchoolOrProvider==false">
                <div class="input-control choosen" data-role="input-control">
                    <p>Organization</p>
                    <select chosen
                            ng-model="Model.SchoolId"
                            data-placeholder="Select"
                            ng-change="fillSeasonsData(Model.SchoolId)"
                            ng-options="obj.Value as obj.Text for obj in AllSchools"></select>

                </div>
            </div>
            <div class="quarter" ng-if="Model.SchoolId">
                <label>Season</label>
                <div class="input-control select" data-role="input-control">
                    <div class="input-control select" data-role="input">
                        <select ng-model="Model.SeasonId" chosen
                                data-placeholder="Select"
                                ng-change="fillProgramsData(Model.SeasonId)"
                                ng-options="obj.Value as obj.Text for obj in AllSeasons"></select>
                    </div>
                </div>
            </div>
            <div class="quarter" ng-if="Model.SeasonId">
                <label>Program</label>
                <div class="input-control select" data-role="input-control">
                    <div class="input-control select" data-role="input">
                        <select ng-model="Model.ProgramId" chosen
                                data-placeholder="Select"
                                ng-change="fillProgramSchedulesData(Model.ProgramId)"
                                ng-options="obj.Value as obj.Text for obj in AllPrograms"></select>
                    </div>
                </div>
            </div>
            <div class="quarter" ng-if="HasProgramSchedules && Model.ProgramId">
                <label>Program schedule</label>
                <div class="input-control select" data-role="input-control">
                    <div class="input-control select" data-role="input">
                        <select ng-model="Model.ProgramScheduleId" chosen
                                data-placeholder="Select"
                                ng-options="obj.Value as obj.Text for obj in AllProgramSchedules"></select>
                    </div>
                </div>
            </div>
        </div>
        <div class="grid_percent_container">
            <div class="quarter">
                <label>Identifier</label>
                <div class="input-control select" data-role="input-control">
                    <div class="input-control select" data-role="input">
                        <select ng-model="SearchType" ng-change="Model.searchTerm = ''; Model.firstName=''; Model.lastName ='';Model.customeStripeErrorMessage ='';"
                                ng-options="obj.Value as obj.Text for obj in SearchTypes"></select>
                    </div>
                </div>

            </div>
            <div class="quarter" ng-if="SearchType == 'ErrorMessage'">
                <div class="input-control select" data-role="input-control">
                    <div class="input-control select" data-role="input">
                        <select ng-model="Model.searchTerm" ng-options="temp.Value as temp.Text for temp in StripeErrorMessage" data-placeholder="Select" ng-change="Model.customeStripeErrorMessage ='';"></select>
                    </div>
                </div>
            </div>
            <div class="quarter" ng-if="SearchType != 'Name' && SearchType != 'ErrorMessage'">
                <label></label>
                <div class="input-control text">
                    <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="searchTerm" type="search" name="SearchTerm" ng-model="Model.searchTerm" placeholder="{{SearchType == 'Email' ? 'Family email': SearchType == 'ConfirmationId' ? 'Confirmation ID' : 'Error message'}}">
                </div>
            </div>

            <div class="quarter" ng-if="SearchType == 'Name'">
                <label></label>
                <div class="input-control text">
                    <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="firstName" type="search" ng-model="Model.firstName" placeholder="First name">
                </div>
            </div>
            <div class="quarter" ng-if="SearchType == 'Name'">
                <label></label>
                <div class="input-control text">
                    <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="lastName" type="search" ng-model="Model.lastName" placeholder="Last name">
                </div>

            </div>
            <div class="quarter" ng-show="Model.searchTerm == 'NotListed'">
                <label></label>
                <div class="input-control text" >
                    <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="searchTerm" type="search" name="SearchTerm" ng-model="Model.customeStripeErrorMessage" placeholder="Error message">
                </div>
            </div>
        </div>
        <hr />
        <div class="grid_percent_container">
            <div class="quarter">
                <div class="input-control choosen" data-role="input-control">
                    <p>Installment payment mode </p>
                    <select chosen ng-model="Model.Mode" data-placeholder="Select">
                        <option ng-value="null">All</option>
                        <option value="AutoCharge">Auto charge</option>
                        <option value="AutoChargeStopped">Auto charge (stopped)</option>
                        <option value="AutoChargeStarted">Auto charge (not stopped)</option>
                        <option value="Manually">Manual</option>
                    </select>

                </div>
            </div>
            <div class="quarter">
                <div class="input-control choosen" data-role="input-control">
                    <p>Order mode</p>
                    <select chosen ng-model="Model.OrderMode" data-placeholder="Select">
                        <option value="null">All</option>
                        <option value="0">Online</option>
                        <option value="1">Offline</option>
                    </select>

                </div>
            </div>
            <div class="quarter">
                <div class="input-control choosen" data-role="input-control">
                    <p>Installment status </p>
                    <select chosen ng-model="Model.Status" data-placeholder="Select">
                        <option ng-value="null">All</option>
                        <option value="Unpaid">Unpaid</option>
                        <option value="FullyPaid">Fully paid</option>
                        <option value="Suspended">Suspended</option>
                    </select>
                </div>
            </div>
        </div>
        <hr />
        <div class="grid_percent_container">
            <div class="quarter">
                <div data-format="mm/dd/yyyy" data-effect="fade">
                    <label>Installment start due date</label>
                    <input kendo-date-picker ng-model="Model.StartDate" type="text" placeholder="mm/dd/yyyy" />
                </div>
            </div>
            <div class="quarter">
                <div data-format="mm/dd/yyyy" data-effect="fade">
                    <label>Installment end due date</label>
                    <input kendo-date-picker ng-model="Model.EndDate" type="text" placeholder="mm/dd/yyyy" />
                </div>
            </div>

        </div>
        <div class="grid_percent_container">
            <div class="quarter">
                <div data-format="mm/dd/yyyy" data-effect="fade">
                    <label>Transaction start date</label>
                    <input kendo-date-picker ng-model="Model.TransactionStartDate" type="text" placeholder="mm/dd/yyyy" />
                </div>
            </div>
            <div class="quarter">
                <div data-format="mm/dd/yyyy" data-effect="fade">
                    <label>Transaction end date</label>
                    <input kendo-date-picker ng-model="Model.TransactionEndDate" type="text" placeholder="mm/dd/yyyy" />
                </div>
            </div>
        </div>
    </div>


    <input class="default button place-right" type="button" value="Filter data" ng-click="filterData()">
    <div class="clearfix"></div>
    <br />
    <input class="default button place-right" type="button" value="Clear filter" ng-click="clearFilters()">
    <div class="clearfix"></div>
    <hr />

    <div>
        <p>
            <span class="bold">Total number of installments:</span> {{TotalPastInstallment}}
        </p>
        <p>
            <span class="bold">Total amount:</span> {{TotalAmountPastInstallment}}
        </p>
        <p>
            <span class="bold">Total paid amount:</span> {{TotalPaidAmountPastInstallment}}
        </p>
        <p>
            <span class="bold">Total balance:</span> {{TotalBalancePastInstallment}}
        </p>
    </div>

    <div class="double-scroll" style="width: 100%;max-width: 100%;min-width: 100%;">
        <div class="wrapper1">
            <div class="div1"></div>
        </div>
        <div class="wrapper2">
            <div class="div2">
                <kendo-grid id="mainGrid" options="mainGridOptions" class="scroll resizable"></kendo-grid>
                <script type="text/x-kendo-template" id="template">
                    <div class="tabstrip">
                        <div>
                            <div class="orders"></div>
                        </div>
                    </div>
                </script>
            </div>
        </div>
    </div>
</div>

